import os
import logging

from perxis.extensions import bootstrap, utils

from constants import extension
from servicer import Servicer


logging.basicConfig(level=logging.INFO)

logger = logging.getLogger(__name__)


def main():
    ext_manager_host = os.environ.get("EXT_MANAGER_HOST", "extension-manager:9030")
    content_host = os.environ.get("CONTENT_HOST", "content:9020")

    ext_descriptor = utils.get_extension_descriptor(
        ext_host="demo-ext-backend:50051",
        ext_id=extension.ID,
        ext_name=extension.NAME,
        ext_version=extension.VERSION,
        ext_description=extension.DESCRIPTION,
        ext_version_description=extension.VERSION_DESCRIPTION
    )

    bootstrap.bootstrap(ext_descriptor, Servicer, ext_manager_host, content_host)


if __name__ == "__main__":
    main()
